<a name="menu">目录</a>
1. [注册订单列表](#page)
1. [查看详情](#platformInfo)
1. [订单审核](#audit)
1. [订单交付](#deliver)

## **<a name="page"> 注册订单列表</a>**
[返回到目录](#menu)
##### URL
[/web/saas/orderCtl/page]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "currentPage": "1",
    "pageSize": "10",
    "saas_merchant_id": "",         // 商户id 查询条件使用商户字典下拉选择
    "createBegin": "",              // 创建时间 开始
    "createEnd": ""                 // 创建时间 结束
    "legal_idno": ""                // 身份证号码
}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 0,
        "rows": [
            {
                "id": "1726724188001516",                   // 订单编号
                "price": 1500,                              // 订单价格
                "pay_voucher_img": "0",                     // 付款凭证
                "audit_remark": "",                         // 审核凭证
                "deliver_man": "",                          // 交付联系人
                "deliver_mobile": "",                       // 交付联系电话
                "deliver_addr": "",                         // 邮寄地址
                "created_at": "2020-03-21 07:45:18",        // 创建时间
                "status": "3030",                           // 订单状态
                "status_name": "已交付"                      // 订单状态名称
                // 订单信息
                "bminfo": {
                    "idcard_front": "11111",                // 身份证正面
                    "idcard_back": "11111",                 // 身份证反面
                    "legal_name": "11111",                  // 法人名称
                    "legal_mobile": "11111",                // 手机号
                    "legal_idno": "11111",                  // 身份证号码
                    "company_names": "11111",               // 个体户名称
                    "bank_front": "11111",                  // 银行卡正面图
                    "bank_back": "11111",                   // 银行卡反面图
                    "bank_name": "11111",                   // 开户行
                    "bank_no": "11111",                     // 银行卡号
                    "bank_mobile": "11111",                 // 预留手机号
                    "domicile_id": "",                      // 注册地id
                    "domicile_name": "",                    // 注册地
                    "business_scope_id": "",                // 经营范围id
                    "business_type": "",                    // 经营范围类型
                    "business_scope": "",                   // 经营范围详情
                }
            }
        ],
        "total": 1
    },
    "requestid": "00521a0a0f094c8d982bf4375fbe91b1"
}
```

## **<a name="platformInfo"> 查看详情</a>**
[返回到目录](#menu)
##### URL
[/web/saas/orderCtl/platformInfo]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "id": "1726882554002859"            // 订单id
}

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        // 基本剑术
        "baseInfo": {
            "id": "1726882554002859",               // 订单编号
            "created_at": "2020-03-23 03:44:44",    // 创建时间
            "price": 1500                           // 价格
        },
        // 注册申请信息
        "regInfo": {
            "legal_name": "11111",            // 法人
            "legal_idno": "11111",            // 身份证号码
            "legal_mobile": "11111",          // 联系电话
            "company_names": "11111",         // 个体户名称
            "idcard_front": "11111",          // 身份证图正面
            "idcard_back": "11111"            // 身份证图反面
        },
        // 商户交付信息
        "merchantDeliverInfo": {
            "merchant_deliver_man": "",       // 联系人
            "merchant_deliver_mobile": "",    // 联系电话
            "merchant_deliver_addr": ""       // 邮寄地址
        },

        // 支付信息
        "payInfo": {
            "amount": 0,                      // 付款金额
            "created_at": "2020-03-23",       // 支付时间
            "trade_no": "1123123",            // 资金流水号
            "pay_voucher_img": "123213"       // 付款凭证
        },

        // 审核信息
        "auditInfo": {
            "domicile_name": "开封",            // 注册地
            "business_type": "科技类",          // 经营范围
            "business_scope": "假的吧",         // 经营详情
            "deliver_man": "刘小刚",            // 联系人
            "deliver_mobile": "13888888888",    // 联系电话
            "deliver_addr": "山野村夫"          // 邮寄地址
        },
        // 订单交付信息
        "deliverInfo": {
            "deliver_express_no": "",           // 快递单号
            "deliver_express_img": ""           // 交接单
        },
  
        // 服务商交付
        "sveDeliverInfo": {
            "sve_deliver_express_no": "",       // 快递单号
            "sve_deliver_express_img": ""       // 交接单
        }
    },
    "requestid": "b46e1ff5176143ffa4135a357f93d757"
}


```


## **<a name="audit"> 订单审核</a>**
[返回到目录](#menu)
##### URL
[/web/saas/orderCtl/audit]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "ids": ["17268", "1722"],                   // 订单编号
	"audit_status": "20",                       // 审核状态 20成功 30失败
	"audit_remark": "审核失败",                 // 审核备注
	"domicile_id": "11111111",                  // 注册地id
	"domicile_name": "开封",                    // 注册地名称
	"business_scope_id": "222222222222",        // 经营范围id
	"business_type": "科技类",                  // 经营范围
	"business_scope": "假的吧",                 // 经营范围详情
	"deliver_man": "刘小刚",                    // 联系人
	"deliver_mobile": "13888888888",           // 联系电话
	"deliver_addr": "山野村夫"                  // 邮寄地址
}

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "b46e1ff5176143ffa4135a357f93d757"
}


```

## **<a name="deliver"> 订单交付</a>**
[返回到目录](#menu)
##### URL
[/web/saas/orderCtl/deliver]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "ids": ["17268", "1722"],                   // 订单编号
    "deliver_express_no": "皮",                 // 快递单号
    "deliver_express_img": "调皮"               // 快递图
}

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "b46e1ff5176143ffa4135a357f93d757"
}


```
